%define name 	kvideogen
%define version 1.2
%define release 3mdk
%define serial	1
%define prefix	/usr

Summary:	X Modeline generator for the KDE project.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Source:		ftp://ftp.kde.org/pub/kde/unstable/apps/utils/%{name}-%{version}.tar.bz2
URL:		http://www.rikkus.demon.co.uk/kvideogen
Copyright:	GPL
Group:		System/Configuration/Hardware
BuildRoot:	/var/tmp/%{name}-buildroot
Prefix:		%{prefix}
Patch0:		%{name}-configure.diff
Patch1:		%{name}-icons.diff
Patch2: %{name}-automake.patch

%description
X Modeline generator for the KDE project.

%prep

%setup -q
%patch -p0
%patch1 -p0
%patch2 -p1
autoconf
automake

%build
libtoolize --force
CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --with-install-root=$RPM_BUILD_ROOT
rm -rf %{name}/.deps/
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/%{prefix} KDEDIR=$RPM_BUILD_ROOT/%{prefix} install

rm -rf $RPM_BUILD_ROOT/usr/share/applnk
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat <<EOF >$RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(%{name}):command="kvideogen" icon="kvideogen.xpm" needs="x11" section="Configuration/Hardware" title="KVideoGen" longtitle="Video Mode generator"
EOF

cd $RPM_BUILD_ROOT
echo '%defattr(-,root,root,0755)' > $RPM_BUILD_DIR/file.list.%{name}
echo '%docdir /usr/doc/kde' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%post
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi

%files -f ../file.list.%{name}

%changelog
* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 1.2-3mdk
- updated Group.
- added menu entry.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2-2mdk
- libtoolize --force

* Mon Nov 22 1999 John Corey <jcorey@mandrakesoft.com>
- Build with FHS-2.0 compliance
- Initial build.

